> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Set auto top-up

> Set this org's auto top-up configuration (writes to Croesus). Owner/admin only.



## OpenAPI

````yaml /api-reference/openapi.json put /api/v2/external/orgs/{slug}/auto-top-up
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/orgs/{slug}/auto-top-up:
    put:
      tags:
        - Billing
      summary: Set auto top-up
      description: >-
        Set this org's auto top-up configuration (writes to Croesus).
        Owner/admin only.
      operationId: set_org_auto_top_up_api_v2_external_orgs__slug__auto_top_up_put
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgAutoTopUpUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrgAutoTopUpUpdate:
      properties:
        enabled:
          type: boolean
          title: Enabled
        top_up_below_balance:
          type: string
          title: Top Up Below Balance
          description: Decimal string. Do not cast to float.
        top_up_amount:
          type: string
          title: Top Up Amount
          description: Decimal string. Do not cast to float.
      type: object
      required:
        - enabled
        - top_up_below_balance
        - top_up_amount
      title: OrgAutoTopUpUpdate
      description: Set an org's auto top-up configuration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````